Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDomNotation Class Reference
[XML module]

The TQDomNotation class represents an XML notation. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqdom.h>`

Inherits TQDomNode.

List of all member functions.

## Public Members

- TQDomNotation ()
- TQDomNotation ( const TQDomNotation & x )
- TQDomNotation & operator= ( const TQDomNotation & x )
- ~TQDomNotation ()
- TQString publicId () const
- TQString systemId () const
- virtual TQDomNode::NodeType nodeType () const
- virtual bool isNotation () const

## Detailed Description

The TQDomNotation class represents an XML notation.

A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification).

DOM does not support editing notation nodes; they are therefore read-only.

A notation node does not have any parent.

You can retrieve the publicId() and systemId() from a notation node.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the TQDomDocument documentation.

See also XML.

## Member Function Documentation

### TQDomNotation::TQDomNotation ()

Constructor.

### TQDomNotation::TQDomNotation ( const TQDomNotation & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### TQDomNotation::~TQDomNotation ()

Destroys the object and frees its resources.

### bool TQDomNotation::isNotation () const`[virtual]`

Returns TRUE.

Reimplemented from TQDomNode.

### TQDomNode::NodeType TQDomNotation::nodeType () const`[virtual]`

Returns NotationNode.

Reimplemented from TQDomNode.

### TQDomNotation & TQDomNotation::operator= ( const TQDomNotation & x )

Assigns x to this DOM notation.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### TQString TQDomNotation::publicId () const

Returns the public identifier of this notation.

### TQString TQDomNotation::systemId () const

Returns the system identifier of this notation.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.